fv::ReduceIndex< T > Class Template Reference

Similar to Reduce, but returns a pair of a T and an int. More...

`#include <value.hpp>`

Inheritance diagram for fv::ReduceIndex< T >:
[legend]
Collaboration diagram for fv::ReduceIndex< T >:
[legend]

## Public Member Functions

| ReduceIndex (Function< std::pair< T, int >(std::vector< T >)> &reduce, Value< std::vector< T > > *v, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< std::pair< T, int > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::pair< T, int > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::pair< T, int > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::pair< T, int >)> &value_to_string=[](std::pair< T, int >){return "";})
void | disable_logging ()

## Private Member Functions

void | update_value ()
| Updates the internal value. More...

## Private Attributes

Function< std::pair< T, int >std::vector< T >)> & | reduce
Value< std::vector< T > > * | v

## Additional Inherited Members

Protected Attributes inherited from fv::DerivedValue< std::pair< T, int > >
std::pair< T, int > | value
Protected Attributes inherited from fv::Value< std::pair< T, int > >
std::function< std::string(std::pair< T, int >)> | value_to_string

## Detailed Description

### template<typename T>
class fv::ReduceIndex< T >

Similar to Reduce, but returns a pair of a T and an int.

This is useful if you need to know where in the vector exists the element being returned.

Definition at line 1061 of file value.hpp.

## Member Function Documentation

## update_value()

template<typename T >

void fv::ReduceIndex< T >::update_value | ( |  | ) |

inlineprivatevirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::pair< T, int > >.

Definition at line 1066 of file value.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp